package cz.moneta.test.dsl.auto.smartauto.shared;

import lombok.Getter;

@Getter
public class CalculationData {
    private Customer customer;
    private Category category;
    private Brand brand;
    private Model model;
    private FilterFuel fuel;
    private int volume;
    private int power;
    private int weight;
    private int price;
    private String vin;
    private Vat vat;
    private Usage usage;
    private String month;
    private Year year;
    private Product product;
    private Group group;
    private PrGroup prGroup;
    private PrClass prClass;
    private Subsidy subsidy;
    private ItemType itemType;
    private int firstPayment;
    private int numberOfSeats;

    public CalculationData setCustomer(Customer customer) {
        this.customer = customer;
        return this;
    }

    public CalculationData setCategory(Category category) {
        this.category = category;
        return this;
    }

    public CalculationData setFirstPayment(int firstPayment) {
        this.firstPayment = firstPayment;
        return this;
    }

    public CalculationData setBrand(Brand brand) {
        this.brand = brand;
        return this;
    }

    public CalculationData setModel(Model model) {
        this.model = model;
        return this;
    }

    public CalculationData setPrice(int price) {
        this.price = price;
        return this;
    }

    public CalculationData setVin(String vin) {
        this.vin = vin;
        return this;
    }

    public CalculationData setVat(Vat vat) {
        this.vat = vat;
        return this;
    }

    public CalculationData setUsage(Usage usage) {
        this.usage = usage;
        return this;
    }

    public CalculationData setMonth(String month) {
        this.month = month;
        return this;
    }

    public CalculationData setSubsidy(Subsidy subsidy) {
        this.subsidy = subsidy;
        return this;
    }

    public CalculationData setYear(Year year) {
        this.year = year;
        return this;
    }

    public CalculationData setProduct(Product product) {
        this.product = product;
        return this;
    }

    public CalculationData setGroup(Group group) {
        this.group = group;
        return this;
    }

    public CalculationData setPrClass(PrClass prClass) {
        this.prClass = prClass;
        return this;
    }

    public CalculationData setPrGroup(PrGroup prGroup) {
        this.prGroup = prGroup;
        return this;
    }

    public CalculationData setItemType(ItemType itemType) {
        this.itemType = itemType;
        return this;
    }

    public CalculationData setFuel(FilterFuel fuel) {
        this.fuel = fuel;
        return this;
    }

    public CalculationData setVolume(int volume) {
        this.volume = volume;
        return this;
    }

    public CalculationData setPower(int power) {
        this.power = power;
        return this;
    }

    public CalculationData setWeight(int weight) {
        this.weight = weight;
        return this;
    }

    public CalculationData setNumberOfSeats(int numberOfSeats) {
        this.numberOfSeats = numberOfSeats;
        return this;
    }
}
